function [] = plotZones(zone,tbegin,tend,step,n,handle,doSub) % n: number of zones
    if nargin < 7, doSub = 0; end 
            if (doSub == 1 && nargin == 8), 
                for i = 1:n
                    subplot(n,1,i), 
                    plotDate(zone(:,n),tbegin,tend,step,'.-'); 
                    title(['Zone ', num2str(i), ' ', handle])
                    ylabel(handle),
                    xlabel('Time (15 Min Intervals)'),
                end 
            else
                plotDate(zone,tbegin,tend,step,'.-'); 
                xlabel('Time (15 Min Intervals)')
                ylabel(handle)
                legend('Zone 1','Zone 2','Zone 3','Zone 4','Zone 5')
            end 
                grid on
end 